# IRdEdgesVisualizationStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumEdges ([out, retval] RtDWORD *dwNumEdges)
HRESULT | SetNumEdges ([in] RtDWORD dwNumEdges)
## Properties
RtUlong * | v1_color ([in] RtDWORD dwIndex)`[get]`
RtUlong | v1_color ([in] RtDWORD dwIndex)`[set]`
RtUlong * | v2_color ([in] RtDWORD dwIndex)`[get]`
RtUlong | v2_color ([in] RtDWORD dwIndex)`[set]`
RtUlong * | v3_color ([in] RtDWORD dwIndex)`[get]`
RtUlong | v3_color ([in] RtDWORD dwIndex)`[set]`
IDispatch ** | v1Color ([in] RtDWORD dwIndex)`[get]`
IDispatch * | v1Color ([in] RtDWORD dwIndex)`[set]`
IDispatch ** | v2Color ([in] RtDWORD dwIndex)`[get]`
IDispatch * | v2Color ([in] RtDWORD dwIndex)`[set]`
IDispatch ** | v3Color ([in] RtDWORD dwIndex)`[get]`
IDispatch * | v3Color ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdEdgesVisualizationStream per edge mesh colors. The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_EDGES_VISUALIZATION id.

## Member Function Documentation

HRESULT IRdEdgesVisualizationStream::GetNumEdges | ( | [out, retval] RtDWORD * | dwNumEdges | ) |

Returns:
  dwNumEdges [out, retval] Get number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdEdgesVisualizationStream::SetNumEdges | ( | [in] RtDWORD | dwNumEdges | ) |

Parameters:

  | dwNumEdges | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdEdgesVisualizationStream::v1_color([in] RtDWORD dwIndex)`[get]`

Get color for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgesVisualizationStream::v1_color([in] RtDWORD dwIndex)`[set]`

Set color for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdEdgesVisualizationStream::v2_color([in] RtDWORD dwIndex)`[get]`

Get color for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgesVisualizationStream::v2_color([in] RtDWORD dwIndex)`[set]`

Set color for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdEdgesVisualizationStream::v3_color([in] RtDWORD dwIndex)`[get]`

Get color for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgesVisualizationStream::v3_color([in] RtDWORD dwIndex)`[set]`

Set color for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.

IDispatch ** IRdEdgesVisualizationStream::v1Color([in] RtDWORD dwIndex)`[get]`

Get color for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

IDispatch * IRdEdgesVisualizationStream::v1Color([in] RtDWORD dwIndex)`[set]`

Set color for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.

IDispatch ** IRdEdgesVisualizationStream::v2Color([in] RtDWORD dwIndex)`[get]`

Get color for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

IDispatch * IRdEdgesVisualizationStream::v2Color([in] RtDWORD dwIndex)`[set]`

Set color for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.

IDispatch ** IRdEdgesVisualizationStream::v3Color([in] RtDWORD dwIndex)`[get]`

Get color for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge color.

  standard HRESULT processing can be applied to returned value.

IDispatch * IRdEdgesVisualizationStream::v3Color([in] RtDWORD dwIndex)`[set]`

Set color for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge color.

Returns:
  standard HRESULT processing can be applied to returned value.